reconstruct_data_gridding
Applications » Transforms in magnetic resonance imaging » 3D transforms
Collaboration diagram for reconstruct_data_gridding:

## Functions

static void | reconstruct (char *filename, int N, int M, int Z, int weight, fftw_complex *mem)
| reconstruct makes an 2d-adjoint-nfft for every slice
static void | print (int N, int M, int Z, fftw_complex *mem)
| print writes the memory back in a file output_real.dat for the real part and output_imag.dat for the imaginary part
int | main (int argc, char **argv)

## Detailed Description

## Function Documentation

## reconstruct()

void reconstruct | ( | char * | filename,
|  | int | N,
|  | int | M,
|  | int | Z,
|  | int | weight,
|  | fftw_complex * | mem )

static

reconstruct makes an 2d-adjoint-nfft for every slice

Definition at line 37 of file mri3d/reconstruct_data_gridding.c.

References FFTW_INIT, MALLOC_F, MALLOC_F_HAT, MALLOC_X, nfft_adjoint(), nfft_finalize(), nfft_precompute_full_psi(), nfft_precompute_lin_psi(), nfft_precompute_psi(), PRE_FULL_PSI, PRE_LIN_PSI, PRE_PHI_HUT, and PRE_PSI.

## print()

void print | ( | int | N,
|  | int | M,
|  | int | Z,
|  | fftw_complex * | mem )

static

print writes the memory back in a file output_real.dat for the real part and output_imag.dat for the imaginary part

Definition at line 101 of file mri3d/reconstruct_data_gridding.c.

## main()

int main | ( | int | argc,
|  | char ** | argv )

Definition at line 123 of file mri3d/reconstruct_data_gridding.c.